textures/icyfantasy/stratosphere
{
    qer_editorImage env/icyfantasy/stratosphere_ft.tga
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globalTexture
    q3map_lightRGB 1.0 1.0 1.0
    q3map_lightSubdivide 256
    q3map_surfacelight 105
    surfaceparm sky
    q3map_sunExt 1.0 1.0 1.0 110 270 45 2 16
    skyParms env/icyfantasy/stratosphere - -
}

textures/icyfantasy/tilesky
{
    q3map_lightImage textures/icyfantasy/tilesky.tga
    qer_editorImage textures/icyfantasy/qer_tilesky_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyfantasy/tilesky.tga
        blendFunc filter
    }
}

textures/icyfantasy/tilesky_sl
{
    qer_editorImage textures/icyfantasy/tilesky.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyfantasy/tilesky.tga
        blendFunc filter
    }
}

textures/icyfantasy/tilesky_icy
{
    q3map_lightImage textures/icyfantasy/tilesky.tga
    qer_editorImage textures/icyfantasy/qer_tilesky_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyfantasy/tilesky.tga
        blendFunc filter
    }
    {
        map textures/_icyfantasy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyfantasy/tilebrick
{
    q3map_lightImage textures/icyfantasy/tilebrick.tga
    qer_editorImage textures/icyfantasy/qer_tilebrick_tr.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyfantasy/tilebrick.tga
        blendFunc filter
    }
}

textures/icyfantasy/tilebrick_sl
{
    qer_editorImage textures/icyfantasy/tilebrick.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyfantasy/tilebrick.tga
        blendFunc filter
    }
}

textures/icyfantasy/tilebrick_icy
{
    q3map_lightImage textures/icyfantasy/tilebrick.tga
    qer_editorImage textures/icyfantasy/qer_tilebrick_icy.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map $lightmap
    }
    {
        map textures/icyfantasy/tilebrick.tga
        blendFunc filter
    }
    {
        map textures/_icyfantasy/slick.tga
        tcGen environment
        blendFunc GL_DST_COLOR GL_SRC_COLOR
    }
}

textures/icyfantasy/tilebrick_hl
{
    qer_editorImage textures/icyfantasy/tilebrick.tga
    qer_trans 0.5
    surfaceparm detail
    surfaceparm nonsolid
    {
        map $lightmap
    }
    {
        map textures/icyfantasy/tilebrick.tga
        blendFunc filter
    }
}

textures/icyfantasy/walljump
{
    qer_editorImage textures/icyfantasy/walljump.tga
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyfantasy/walljump.tga
        blendFunc filter
    }
}

textures/icyfantasy/wood
{
    qer_editorImage textures/icyfantasy/wood.jpg
    q3map_bounceScale 0.7
    surfaceparm nodamage
    {
        map $lightmap
    }
    {
        map textures/icyfantasy/wood.jpg
        blendFunc filter
    }
}

textures/icyfantasy/glass
{
    q3map_lightImage textures/_icyfantasy/glass_radiosity.tga
    qer_editorImage textures/icyfantasy/qer_clear.tga
    qer_trans 0.6
    q3map_bounceScale 0.33
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    {
        map textures/_icyfantasy/q3a_glass_clear.tga
        blendFunc add
        tcGen environment
    }
}

textures/icyfantasy/light
{
    qer_editorImage textures/icyfantasy/light.tga
    q3map_bounceScale 0.0
    surfaceparm slick
    surfaceparm nodamage
    surfaceparm detail
    surfaceparm trans
    polygonOffset
    {
        map textures/icyfantasy/light.tga
    }
}

textures/icyfantasy/green_tile_glow_sl
{
    qer_editorImage textures/icyfantasy/green_tile_glow.tga
    qer_trans 0.3
    q3map_bounceScale 0.0
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm slick
    {
        map textures/icyfantasy/green_tile_glow.tga
        blendFunc add
        rgbGen wave sin 0.05 0.015 0 0.6
    }
}
